Bug 217548 - MLS policy doesn't allow a "telinit 1"
MLS policy doesn't allow a "telinit 1"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 10:59 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:58:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-11-28 10:59:09 EST
selinux-policy-mls-2.4.5-3.fc7

When running "telinit 1" with the MLS policy on:

Telling INIT to go to single user mode
avc: denied { execute } for pid=2537 comm="S99single" name="init" dev=dm-0
ino=1998956 scontext=system_u:system_r:initrc_t:s0-s15:c0.c1023
tcontext=system_u:object_r:init_exec_t:s0 tclass=file
avc: denied { read } for pid=2537 comm="S99single" name="init" dev=dm-0
ino=1998956 scontext=system_u:system_r:initrc_t:s0-s15:c0.c1023
tcontext=system_u:object_r:init_exec_t:s0 tclass=file
avc: denied { execute_no_trans } for pid=2537 comm="S99single" name="init"
dev=dm-0 ino=1998956 scontext=system_u:system_r:initrc_t:s0-s15:c0.c1023
tcontext=system_u:object_r:init_exec_t:s0 tclass=file
INIT: Going single user
INIT: Sending processes the TERM signal
INIT: Sending processes the KILL signal
Comment 1 RHEL Product and Program Management 2006-11-28 11:30:26 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Daniel Walsh 2006-11-28 11:38:08 EST
Fixed in selinux-policy-2.4.5-4.el5
Comment 4 Jay Turner 2007-01-10 22:48:31 EST
QE ack for RHEL5.  Please retest with the latest RHEL5 selinux-policy package.
Comment 6 RHEL Product and Program Management 2007-02-07 19:58:53 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.